Ryzom - NeverEnding # 31

Status: New Priority: Normal
Author: vl Category:

Created: 09/03/2008 Assignee: sfb
Updated: 09/29/2010 Due date:

Subiject: Clean the #include block

Description

All include must be in the same block and in order:
0. stdpch is needed

1. system includes

2. nel includes, sorted by libraries

For example

#include "stdpch.h"
#include <stdio.h>
#include "nel/net/a.h”
#include "nel/3d/b.h"
#include "nel/3d/c.h"

History

#1 - 11/21/2008 07:24 pm - titegus

- File clean_includes.patch added

done in misc project

#2 - 11/21/2008 10:25 pm - titegus
- File clean_include_ligo.patch added

done in ligo project

#3 - 11/21/2008 10:26 pm - titegus

- File clean_include_logic.patch added

done in logic project

#4 - 05/11/2009 03:32 pm - sfb
- Category set to Misc
- Assignee set to sfb

- Target version set to 0.8.0

#5 - 09/29/2010 09:06 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (0.8.0)

Files

clean_includes.patch 37.4 kB 11/21/2008 titegus

clean_include_ligo.patch 6.7 kB 11/21/2008 titegus

clean_include_logic.patch 2 kB 11/21/2008 titegus
